> For the complete documentation index, see [llms.txt](https://docs.riskbase.uk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.riskbase.uk/riskbase-docs/api/property-assets.md).

# Property Assets

## GET /properties/assets/types

> Get Property Asset Types

```json
{"openapi":"3.1.1","info":{"title":"RiskBase API","version":"0.0.1"},"tags":[{"name":"Property Assets","description":""}],"servers":[{"url":"https://api3.riskbase.uk"}],"security":[{"Bearer Authentication":[]}],"components":{"securitySchemes":{"Bearer Authentication":{"type":"http","scheme":"bearer","description":"`Authorization: Bearer {AuthorizationToken}`"}},"schemas":{}},"paths":{"/properties/assets/types":{"get":{"tags":["Property Assets"],"summary":"Get Property Asset Types","responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"UID"},"name":{"type":"string"},"nameSingular":{"type":"string"},"fields":{"type":"array","items":{"discriminator":{"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/fieldTypes/text"},{"$ref":"#/components/schemas/fieldTypes/number"},{"$ref":"#/components/schemas/fieldTypes/image"},{"$ref":"#/components/schemas/fieldTypes/file"},{"$ref":"#/components/schemas/fieldTypes/option"},{"$ref":"#/components/schemas/fieldTypes/pin"},{"$ref":"#/components/schemas/fieldTypes/qr"}]}}}}}}}}}}}}}}}
```

## GET /properties/assets

> Get Property Assets

```json
{"openapi":"3.1.1","info":{"title":"RiskBase API","version":"0.0.1"},"tags":[{"name":"Property Assets","description":""}],"servers":[{"url":"https://api3.riskbase.uk"}],"security":[{"Bearer Authentication":[]}],"components":{"securitySchemes":{"Bearer Authentication":{"type":"http","scheme":"bearer","description":"`Authorization: Bearer {AuthorizationToken}`"}},"schemas":{}},"paths":{"/properties/assets":{"get":{"tags":["Property Assets"],"summary":"Get Property Assets","parameters":[{"schema":{"type":"integer","minimum":1,"maximum":1000,"default":1000},"in":"query","name":"limit"},{"schema":{"type":"integer","default":1},"in":"query","name":"page"},{"schema":{"type":"string","format":"Comma-Separated: ID or name"},"in":"query","name":"type","description":"Limit list by asset type. See `GET /properties/assets/types`\n"},{"schema":{"type":"string","format":"Comma-Separated: ID"},"in":"query","name":"id","description":"Limit list by assets"},{"schema":{"type":"string","format":"Comma-Separated: ID"},"in":"query","name":"property","description":"Limit list by properties"}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"total":{"type":"integer"},"assets":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"UID"},"property":{"type":"string","description":"ID of property this element is linked to","format":"UID"},"type":{"type":"string","description":"ID of element type","format":"UID"},"fields":{"type":"array","items":{"discriminator":{"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/fieldResults/text"},{"$ref":"#/components/schemas/fieldResults/number"},{"$ref":"#/components/schemas/fieldResults/date"},{"$ref":"#/components/schemas/fieldResults/time"},{"$ref":"#/components/schemas/fieldResults/image"},{"$ref":"#/components/schemas/fieldResults/file"},{"$ref":"#/components/schemas/fieldResults/option"},{"$ref":"#/components/schemas/fieldResults/pin"},{"$ref":"#/components/schemas/fieldResults/qr"}]}}}}},"types":{"$ref":"#/components/schemas/propertyassets/types"}}}}}}}}}}}
```

## POST /properties/{propertyId}/assets

> Create Property Asset

````json
{"openapi":"3.1.1","info":{"title":"RiskBase API","version":"0.0.1"},"tags":[{"name":"Property Assets","description":""}],"servers":[{"url":"https://api3.riskbase.uk"}],"security":[{"Bearer Authentication":[]}],"components":{"securitySchemes":{"Bearer Authentication":{"type":"http","scheme":"bearer","description":"`Authorization: Bearer {AuthorizationToken}`"}}},"paths":{"/properties/{propertyId}/assets":{"post":{"tags":["Property Assets"],"summary":"Create Property Asset","parameters":[{"schema":{"type":"string","format":"UID"},"in":"path","name":"propertyId","required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["type"],"properties":{"type":{"type":"string","format":"UID","description":"ID of property asset type<br>See `GET /properties/assets/types` for types"},"values":{"type":"object","description":"Values are not required when creating an asset.\n\nValues keyed by field ID<br>See `GET /properties/assets/types` for available fields\n\n```\n{ fieldId1: value, fieldId2: value }\n```\n\n- **Text Field**<br>\n`string` or `null` to remove value\n\n- **Number Field**<br>\n`number` or `null` to remove value\n\n- **Option Field**<br>\n`array of option IDs` or `null` to remove value\n\n- **Date Field**<br>\n`string<Y-m-d>` like `2026-02-25` or `null` to remove value\n\n- **Time Field**<br>\n`string<H:i>` like `14:02` or `null` to remove value\n\n- **QR Field**<br>\n`string` or `null` to remove value\n"}}}}}},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"id":{"type":"string","format":"UID"}}}}}},"400":{"content":{"application/json":{"schema":{"oneOf":[{"title":"PropertyIdRequired","properties":{"code":{"type":"PropertyIdRequired"}}},{"title":"AssetTypeIdRequired","properties":{"code":{"type":"AssetTypeIdRequired"}}},{"title":"PropertyAssetValuesInvalidFormat","properties":{"code":{"type":"PropertyAssetValuesInvalidFormat"}}},{"title":"PropertyNotFound","properties":{"code":{"type":"PropertyNotFound"}}},{"title":"AssetTypeNotFound","properties":{"code":{"type":"AssetTypeNotFound"}}},{"title":"FieldInvalidNotSupported","properties":{"code":{"type":"FieldInvalidNotSupported"}}},{"title":"PropertyAssetValuesInvalid","properties":{"code":{"type":"PropertyAssetValuesInvalid"}}}]}}}}}}}}}
````

## PATCH /properties/{propertyId}/assets/{assetId}

> Update Property Asset

````json
{"openapi":"3.1.1","info":{"title":"RiskBase API","version":"0.0.1"},"tags":[{"name":"Property Assets","description":""}],"servers":[{"url":"https://api3.riskbase.uk"}],"security":[{"Bearer Authentication":[]}],"components":{"securitySchemes":{"Bearer Authentication":{"type":"http","scheme":"bearer","description":"`Authorization: Bearer {AuthorizationToken}`"}}},"paths":{"/properties/{propertyId}/assets/{assetId}":{"patch":{"tags":["Property Assets"],"summary":"Update Property Asset","parameters":[{"schema":{"type":"string","format":"UID"},"in":"path","name":"propertyId","required":true},{"schema":{"type":"string","format":"UID"},"in":"path","name":"assetId","required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["values"],"properties":{"values":{"type":"object","description":"Values keyed by field ID<br>See `GET /properties/assets/types` for available fields\n\n```\n{ fieldId1: value, fieldId2: value }\n```\n\n- **Text Field**<br>\n`string` or `null` to remove value\n\n- **Number Field**<br>\n`number` or `null` to remove value\n\n- **Option Field**<br>\n`array of option IDs` or `null` to remove value\n\n- **Date Field**<br>\n`string<Y-m-d>` like `2026-02-25` or `null` to remove value\n\n- **Time Field**<br>\n`string<H:i>` like `14:02` or `null` to remove value\n\n- **QR Field**<br>\n`string` or `null` to remove value\n"}}}}}},"responses":{"204":{"content":"application/json"},"400":{"content":{"application/json":{"schema":{"oneOf":[{"title":"PropertyIdRequired","properties":{"code":{"type":"PropertyIdRequired"}}},{"title":"PropertyAssetIdRequired","properties":{"code":{"type":"PropertyAssetIdRequired"}}},{"title":"PropertyAssetValuesInvalidFormat","properties":{"code":{"type":"PropertyAssetValuesInvalidFormat"}}},{"title":"PropertyNotFound","properties":{"code":{"type":"PropertyNotFound"}}},{"title":"PropertyAssetNotFound","properties":{"code":{"type":"PropertyAssetNotFound"}}},{"title":"FieldInvalidNotSupported","properties":{"code":{"type":"FieldInvalidNotSupported"}}},{"title":"PropertyAssetValuesInvalid","properties":{"code":{"type":"PropertyAssetValuesInvalid"}}}]}}}}}}}}}
````
